# Class CompoundControl

java.lang.Object
javax.sound.sampled.Control
javax.sound.sampled.CompoundControl

public abstract class CompoundControl extends Control
A `CompoundControl`, such as a graphic equalizer, provides control over two or more related properties, each of which is itself represented as a `Control`.

Since:
  1.3

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CompoundControl.Type`
An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CompoundControl(CompoundControl.Type type, Control[] memberControls)`
Constructs a new compound control object with the given parameters.

## Method Summary

Modifier and Type
Method
Description
`Control[]`
`getMemberControls()`
Returns the set of member controls that comprise the compound control.
`String`
`toString()`
Returns a string representation of the compound control.

### Methods declared in class Control

`getType`
Modifier and Type
Method
Description
`Control.Type`
`getType()`
Obtains the control's type.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### CompoundControl

protected CompoundControl(CompoundControl.Type type, Control[] memberControls)
Constructs a new compound control object with the given parameters.

Parameters:
  `type` - the type of control represented this compound control object
  `memberControls` - the set of member controls

## Method Details

### getMemberControls

public Control[] getMemberControls()
Returns the set of member controls that comprise the compound control.

Returns:
  the set of member controls

### toString

public String toString()
Returns a string representation of the compound control.

Overrides:
  `toString` in class `Control`
Returns:
  a string representation of the compound control